# cfDNAPro  <img src="vignettes/logo.png" width="150" align="right">

  Liquid Biopsy Cell-free DNA Fragment Size Profiler

> cfDNAPro could parse bam files(NGS data generated from Illumina sequencing platforms) and extract the insert size data. It also accepts as input the insert sizes metrics files (i.e. txt files ) generated by PICARD tools from Illumina NGS sequencing data: [CollectInsertSizeMetrics](http://broadinstitute.github.io/picard/command-line-overview.html#CollectInsertSizeMetrics). 



## Introduction

cfDNA fragment size metrics are important features for utilizing liquid biopsy in tumor early detection, diagnosis, therapeutic decision and monitoring. Analyzing and visualizing insert size metrics could be time intensive.

This package intends to simplify this exploration process, and it offers two sets of functions for data characterization and data visualization.


## Installation
For development version:
```R
if (!require(devtools)) install.packages("devtools")
library(devtools)
devtools::install_github("hw538/cfDNAPro", build_vignettes = TRUE)
```

The steady release has been submitted to Bioconductor, to install:
``` R
if (!requireNamespace("BiocManager", quietly = TRUE))
    install.packages("BiocManager")

BiocManager::install("cfDNAPro")
```

## Vignettes

See bioconductor documentation for cfDNAPro here: https://bioconductor.org/packages/release/bioc/vignettes/cfDNAPro/inst/doc/cfDNAPro.html

Or to see the vignettes in Rstudio (you have to indicate `build_vignettes = TRUE` during aforementioned installation step), use the command:

```R
browseVignettes("cfDNAPro")
```
## Citation

Please cite package ‘cfDNAPro’ in publications:

Haichao Wang, Christopher G. Smith, Hui Zhao(2020). cfDNAPro: Liquid Biopsy Cell-free DNA Fragment Size Profiler. R package version 1.1.0 <https://github.com/hw538/cfDNAPro>
